Page MenuHomePhabricator

Allow filtering the AbuseLog by wiki on wikis set as AbuseFilter central DB
Closed, ResolvedPublic

Description

Unlike the GUI https://meta.wikimedia.org/wiki/Special:AbuseLog?wpSearchUser=&wpSearchFilter=&wpSearchTitle=&wpSearchWiki=fywiki&title=Special%3AAbuseLog, the API doesn't appear to allow filtering the abuselog by wiki https://meta.wikimedia.org/w/api.php?action=help&modules=query%2Babuselog.

There is also no information (on aflprop, for example) on which wiki was affected by the AF hit, so no easy way to track global AF hits (public filters, but also the private ones, which cannot be caught with RCStream).

Event Timeline

Elfix created this task.Sep 22 2015, 8:54 PM
Elfix updated the task description. (Show Details)
Elfix raised the priority of this task from to Needs Triage.
Elfix added a project: AbuseFilter.
Elfix moved this task to Backlog on the AbuseFilter board.
Elfix added a subscriber: Elfix.
Restricted Application added subscribers: Luke081515, Aklapper. · View Herald TranscriptSep 22 2015, 8:54 PM
Akeron added a subscriber: Akeron.Sep 24 2015, 10:02 AM

A workaround for the first point is to do a query directly on the wiki you are interested in (example: https://fy.wikipedia.org/w/api.php?action=query&list=abuselog&aflfilter=global-110), with the drawback is that it may require special rights on that wiki (for instance, only autoconfirmed users can filter by id on frwiki).

Amire80 moved this task from Backlog to Logging on the AbuseFilter board.May 8 2016, 8:57 AM

Change 407952 had a related patch set uploaded (by Matěj Suchánek; owner: Matěj Suchánek):
[mediawiki/extensions/AbuseFilter@master] Allow filtering the AbuseLog by wiki

https://gerrit.wikimedia.org/r/407952

Change 407952 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Allow filtering AbuseLog in API by wiki

https://gerrit.wikimedia.org/r/407952

matej_suchanek closed this task as Resolved.Feb 5 2018, 9:04 AM
matej_suchanek removed a project: Patch-For-Review.